List posts of an Instagram account
curl --request GET \
--url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Instagram Comment Automations
List posts of an Instagram account
GET
/
api
/
public
/
instagram
/
accounts
/
{instagramAccountId}
/
posts
List posts of an Instagram account
curl --request GET \
--url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Headers
API key required to authorize the request
Path Parameters
Vambe Instagram account id (from GET /public/instagram/accounts)
Query Parameters
Available options:
feed, ad Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991Available options:
all, with-automation, without-automation Response
200
Paginated posts.
Was this page helpful?
